package com.lanyuanxiaoyao.service.configuration;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * 线程池
 *
 * @author lanyuanxiaoyao
 * @date 2023-06-07
 */
public class ExecutorProvider {
    public static final ExecutorService EXECUTORS_2 = Executors.newFixedThreadPool(10);
    public static final ExecutorService EXECUTORS_5 = Executors.newFixedThreadPool(10);
    public static final ExecutorService EXECUTORS_10 = Executors.newFixedThreadPool(10);
    public static final ExecutorService EXECUTORS_20 = Executors.newFixedThreadPool(10);
    public static final ExecutorService EXECUTORS = Executors.newFixedThreadPool(50);
}
